RDKit::CXXBondIterator< Graph, Edge, Iterator > Struct Template Reference

`#include <ROMol.h>`

## Classes

struct | CXXBondIter

## Public Member Functions

| CXXBondIterator (Graph *graph)
| CXXBondIterator (Graph *graph, Iterator start, Iterator end)
CXXBondIter | begin ()
CXXBondIter | end ()

## Public Attributes

Graph * | graph
Iterator | vstart
Iterator | vend

## Detailed Description

### template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>
struct RDKit::CXXBondIterator< Graph, Edge, Iterator >

Definition at line 144 of file ROMol.h.

## Constructor & Destructor Documentation

## CXXBondIterator() [1/2]

template<class Graph , class Edge , class Iterator = typename Graph::edge_iterator>

RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIterator | ( | Graph * | graph | ) |

inline

Definition at line 167 of file ROMol.h.

References RDKit::CXXBondIterator< Graph, Edge, Iterator >::graph, RDKit::CXXBondIterator< Graph, Edge, Iterator >::vend, and RDKit::CXXBondIterator< Graph, Edge, Iterator >::vstart.

## CXXBondIterator() [2/2]

template<class Graph , class Edge , class Iterator = typename Graph::edge_iterator>

RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIterator | ( | Graph * | graph,
|  | Iterator | start,
|  | Iterator | end
| ) |  |

inline

Definition at line 172 of file ROMol.h.

## Member Function Documentation

## begin()

template<class Graph , class Edge , class Iterator = typename Graph::edge_iterator>

CXXBondIter RDKit::CXXBondIterator< Graph, Edge, Iterator >::begin | ( |  | ) |

inline

Definition at line 174 of file ROMol.h.

References RDKit::CXXBondIterator< Graph, Edge, Iterator >::graph, and RDKit::CXXBondIterator< Graph, Edge, Iterator >::vstart.

## end()

template<class Graph , class Edge , class Iterator = typename Graph::edge_iterator>

CXXBondIter RDKit::CXXBondIterator< Graph, Edge, Iterator >::end | ( |  | ) |

inline

Definition at line 175 of file ROMol.h.

References RDKit::CXXBondIterator< Graph, Edge, Iterator >::graph, and RDKit::CXXBondIterator< Graph, Edge, Iterator >::vend.

## Member Data Documentation

## graph

template<class Graph , class Edge , class Iterator = typename Graph::edge_iterator>

Graph* RDKit::CXXBondIterator< Graph, Edge, Iterator >::graph

Definition at line 145 of file ROMol.h.

Referenced by RDKit::CXXBondIterator< Graph, Edge, Iterator >::begin(), RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIterator(), and RDKit::CXXBondIterator< Graph, Edge, Iterator >::end().

## vend

template<class Graph , class Edge , class Iterator = typename Graph::edge_iterator>

Iterator RDKit::CXXBondIterator< Graph, Edge, Iterator >::vend

Definition at line 146 of file ROMol.h.

Referenced by RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIterator(), and RDKit::CXXBondIterator< Graph, Edge, Iterator >::end().

## vstart

template<class Graph , class Edge , class Iterator = typename Graph::edge_iterator>

Iterator RDKit::CXXBondIterator< Graph, Edge, Iterator >::vstart

Definition at line 146 of file ROMol.h.

Referenced by RDKit::CXXBondIterator< Graph, Edge, Iterator >::begin(), and RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIterator().

The documentation for this struct was generated from the following file:

- ROMol.h